<h1>Carga masiva de artículos</h1>
<section class="page">
    <div>
        <button mat-raised-button color="primary" (click)="onDownloadFormat()">Descargar formato</button>
        <button mat-raised-button color="primary" (click)="onLoadFile()">Cargar archivo...</button>
        <input #uploadInput type="file" name="files" id="jsonFile" accept=".xlsx, .xls, .csv"
               (change)="onFileChange($event)" style="display: none"/>
        <button mat-raised-button color="accent" (click)="onSaveImport()" *ngIf="total > 0">Guardar</button>
    </div>
    <br>
    <div *ngIf="total > 0">
        <h3>Resultados de la importación:</h3>
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

            <!-- Code Column -->
            <ng-container matColumnDef="code">
                <th mat-header-cell *matHeaderCellDef> Código</th>
                <td mat-cell *matCellDef="let element">
                    {{element.code}}
                </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef> Nombre</th>
                <td mat-cell *matCellDef="let element"> {{element.name}}</td>
            </ng-container>

            <!-- Price Column -->
            <ng-container matColumnDef="price">
                <th mat-header-cell *matHeaderCellDef> Precio</th>
                <td mat-cell *matCellDef="let element"> {{element.price}}</td>
            </ng-container>

            <!-- Brand Column -->
            <ng-container matColumnDef="brand">
                <th mat-header-cell *matHeaderCellDef> Marca</th>
                <td mat-cell *matCellDef="let element"> {{element.brand}}</td>
            </ng-container>

            <!-- Supplier Column -->
            <ng-container matColumnDef="supplier">
                <th mat-header-cell *matHeaderCellDef> Proveedor</th>
                <td mat-cell *matCellDef="let element"> {{element.supplier}}</td>
            </ng-container>

            <!-- Options Column -->
            <ng-container matColumnDef="options" stickyEnd>
                <th mat-header-cell *matHeaderCellDef class="options-col"> ¿Actualizar?</th>
                <td mat-cell *matCellDef="let element">
                    <mat-slide-toggle
                            [checked]="element.update"
                            (change)="onSlideChange($event, element)"
                            *ngIf="!element.isNew">
                    </mat-slide-toggle>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        <mat-paginator [length]="total"
                       [pageSize]="perPage"
                       [pageSizeOptions]="pageSizeOptions"
                       (page)="onPage($event)"
                       aria-label="Select page">
        </mat-paginator>
    </div>
</section>
